Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.ats.arjuna.coordinator
Class ActionStatus

    java.lang.Object
      com.arjuna.ats.arjuna.coordinator.ActionStatus

public class ActionStatus
extends java.lang.Object

The various state changes that a transaction can go through.

Since:
  JTS 1.0.
Version:
  $Id: ActionStatus.java 2342 2006-03-30 13:06:17Z $
Author:
  Mark Little (mark@arjuna.com)

Field Summary
`static int` | `ABORT_ONLY`
`static int` | `ABORTED`
`static int` | `ABORTING`
`static int` | `CLEANUP`
`static int` | `COMMITTED`
`static int` | `COMMITTING`
`static int` | `CREATED`
`static int` | `DISABLED`
`static int` | `H_COMMIT`
`static int` | `H_HAZARD`
`static int` | `H_MIXED`
`static int` | `H_ROLLBACK`
`static int` | `INVALID`
`static int` | `NO_ACTION`
`static int` | `PREPARED`
`static int` | `PREPARING`
`static int` | `RUNNING`

Constructor Summary
`ActionStatus()`

Method Summary
`static void` | `print(java.io.PrintWriter strm, int res)` Print the status on the specified `PrintWriter`.
`static java.lang.String` | `stringForm(int res)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RUNNING

    public static final int RUNNING

See Also:
  Constant Field Values

### PREPARING

    public static final int PREPARING

See Also:
  Constant Field Values

### ABORTING

    public static final int ABORTING

See Also:
  Constant Field Values

### ABORT_ONLY

    public static final int ABORT_ONLY

See Also:
  Constant Field Values

### ABORTED

    public static final int ABORTED

See Also:
  Constant Field Values

### PREPARED

    public static final int PREPARED

See Also:
  Constant Field Values

### COMMITTING

    public static final int COMMITTING

See Also:
  Constant Field Values

### COMMITTED

    public static final int COMMITTED

See Also:
  Constant Field Values

### CREATED

    public static final int CREATED

See Also:
  Constant Field Values

### INVALID

    public static final int INVALID

See Also:
  Constant Field Values

### CLEANUP

    public static final int CLEANUP

See Also:
  Constant Field Values

### H_ROLLBACK

    public static final int H_ROLLBACK

See Also:
  Constant Field Values

### H_COMMIT

    public static final int H_COMMIT

See Also:
  Constant Field Values

### H_MIXED

    public static final int H_MIXED

See Also:
  Constant Field Values

### H_HAZARD

    public static final int H_HAZARD

See Also:
  Constant Field Values

### DISABLED

    public static final int DISABLED

See Also:
  Constant Field Values

### NO_ACTION

    public static final int NO_ACTION

See Also:
  Constant Field Values

Constructor Detail

### ActionStatus

    public ActionStatus()

Method Detail

### stringForm

    public static java.lang.String stringForm(int res)

  Returns:
    `String` representation of the status.

### print

    public static void print(java.io.PrintWriter strm,
                             int res)

  Print the status on the specified `PrintWriter`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD